using System;
using System.Collections;
using System.Data;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Web.SessionState;
namespace TopWinCMS.WebUI.Admin
{
    /// <summary>
    /// 写出需要的脚本
    /// </summary>
    public class Main : IHttpHandler, IRequiresSessionState
    {

        public void ProcessRequest(HttpContext context)
        {

            context.Response.ContentType = "text/javascript";

            context.Response.Write(new TopWinCMS.BLL.AdminMenu.ModelTreeMenu().BindModelMenu());

            context.Response.Write(TopWinCMS.BLL.AdminMenu.ModelMenu.MakeHtml());

            context.Response.Write(TopWinCMS.BLL.AdminMenu.ModelMenu.FieldMenu());
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}